#3452 closed enhancement (fixed)

Update RISC-V tool chain to support standard 64-bit chips

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/riscv Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3433

Description

First step is to include this bug fix in Binutils:

https://sourceware.org/bugzilla/show_bug.cgi?id=23244

Second step is a multilib update. Third step is a merge of the riscv32 and riscv64 tool chains into a single riscv tool chain.

Change History (13)

comment:1 Changed on Jun 13, 2018 at 8:45:14 AM by Sebastian Huber

Blocking: 3433 added

comment:2 Changed on Jun 13, 2018 at 8:47:12 AM by Sebastian Huber <sebastian.huber@…>

In 9530518/rtems-source-builder:

Build only the Binutils

The Binutils and GDB share a repository. In order to build the Binutils
from a repository snapshot some components must be disabled.

Update #3452.

comment:3 Changed on Jun 13, 2018 at 8:47:28 AM by Sebastian Huber <sebastian.huber@…>

In f432e19/rtems-source-builder:

5: Update RISC-V Binutils

This includes the following bug fix:

https://sourceware.org/bugzilla/show_bug.cgi?id=23244

Update #3452.

comment:4 Changed on Jun 20, 2018 at 6:36:21 AM by Sebastian Huber <sebastian.huber@…>

In 8ee4e8c/rtems-source-builder:

5: Update RISC-V Binutils and GDB

This includes the following bug fix:

https://sourceware.org/bugzilla/show_bug.cgi?id=23305

Update #3452.

comment:5 Changed on Jun 22, 2018 at 4:24:21 AM by Sebastian Huber <sebastian.huber@…>

In 4bd8de5/rtems-source-builder:

5: Use GCC 8 snapshot for RISC-V

This picks up the new multilib set for RISC-V.

Update #3452.

comment:6 Changed on Jul 24, 2018 at 7:06:52 AM by Sebastian Huber <sebastian.huber@…>

In dc6b940/rtems-source-builder:

5: Update Newlib

Update RISC-V GCC to a GCC 9 branch commit.

Close #3342.
Close #3343.
Update #3452.

comment:7 Changed on Jul 24, 2018 at 7:06:59 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In d33c151/rtems-source-builder:

5: Merge riscv32 and riscv64 into riscv

After several upstream updates in Binutils, GCC, Newlib, and GDB it is
now possible to use a common riscv tool chain for the 32-bit and 64-bit
RISC-V.

Update GDB to ce73f310150418a9a1625ab60a527d959096a9e2 Git commit.

Close #3452.

comment:8 Changed on Jul 24, 2018 at 10:10:47 AM by Sebastian Huber <sebastian.huber@…>

In 2ef6dfe9/rtems-source-builder:

5: Fix rtems-all due to recent RISC-V changes

Update #3452.

comment:9 Changed on Jul 25, 2018 at 12:06:34 PM by Sebastian Huber

Resolution: fixed
Status: closedreopened

comment:10 Changed on Jul 26, 2018 at 7:08:20 AM by Sebastian Huber <sebastian.huber@…>

In 2cd6cef/rtems-source-builder:

5: Change riscv to riscv32

This is a temporary workaround for this bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=23451

It is not clear how this can be resolved upstream.

Update #3452.

comment:11 Changed on Jul 30, 2018 at 8:10:59 AM by Sebastian Huber <sebastian.huber@…>

In c40d126/rtems-source-builder:

5: Change riscv32 back to riscv

Update Binutils to include a bug fix for:

https://sourceware.org/bugzilla/show_bug.cgi?id=23451

Update #3452.

comment:12 Changed on Aug 3, 2018 at 10:06:11 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: reopenedclosed

In 8f74240/rtems-source-builder:

5: Update Newlib

It includes a fix for bug in the ctype support, some FreeBSD
compatibility changes in <sys/cdefs.h> for libbsd and a new
configuration option for all targets newlib/configure.host which is used
by the RISC-V port.

Close #3452.

comment:13 Changed on Aug 20, 2018 at 12:55:53 PM by Sebastian Huber <sebastian.huber@…>

In 79c83cd/rtems-source-builder:

5: Update Newlib for RISC-V

Use the latest Newlib to fix the GCC libgomp build (TLS support was not
detected due to broken crt0).

Update #3452.

Note: See TracTickets for help on using tickets.